For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all strategies
      • POSTCreate a strategy
      • GETGet a strategy definition
      • PUTUpdate a strategy type
      • DELDelete a strategy
      • POSTDeprecate a strategy
      • POSTReactivate a strategy
      • GETGet strategies that use a context field
      • GET[BETA] Get strategies that use a context field
      • POSTUpdate strategy segments
13.5kProductPricingSign inStart free trialBook a demo
Admin APIStrategies

Get all strategies

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/strategies
GET
/api/admin/strategies
$curl https://app.unleash-instance.example.com/api/admin/strategies \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "version": 1,
3 "strategies": [
4 {
5 "name": "flexibleRollout",
6 "displayName": "Gradual Rollout",
7 "description": "Gradual rollout to logged in users over time",
8 "editable": true,
9 "deprecated": false,
10 "parameters": [
11 {
12 "name": "percentage",
13 "type": "percentage",
14 "description": "Percentage of users to activate the feature for",
15 "required": true
16 }
17 ],
18 "title": "GradualRollout - Prod25"
19 },
20 {
21 "name": "userWithId",
22 "displayName": "User With ID",
23 "description": "Enable feature for specific user IDs",
24 "editable": false,
25 "deprecated": false,
26 "parameters": [
27 {
28 "name": "userIds",
29 "type": "list",
30 "description": "Comma separated list of user IDs",
31 "required": true
32 }
33 ],
34 "title": "UserWithId"
35 },
36 {
37 "name": "remoteAddress",
38 "displayName": "Remote Address",
39 "description": "Enable feature for specific IP addresses",
40 "editable": false,
41 "deprecated": false,
42 "parameters": [
43 {
44 "name": "IPs",
45 "type": "list",
46 "description": "Comma separated list of IP addresses",
47 "required": true
48 }
49 ],
50 "title": "RemoteAddress"
51 }
52 ]
53}
Retrieves all strategy types ([predefined](https://docs.getunleash.io/concepts/activation-strategies "predefined strategies") and [custom strategies](https://docs.getunleash.io/concepts/activation-strategies#custom-strategies)) that are defined on this Unleash instance.
Was this page helpful?
Previous

Create a strategy

Next
Built with

Retrieves all strategy types (predefined and custom strategies) that are defined on this Unleash instance.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

strategiesSchema
versionenum
Version of the strategies schema
Allowed values:
strategieslist of objects
List of strategies

Errors

401
Unauthorized Error